/**
 * 
 */
package com.github.ansell.oas.data.test;

import com.github.ansell.oas.data.DataHandler;
import com.github.ansell.oas.data.impl.SesameDataHandlerImpl;
import com.github.ansell.oas.objects.Annotation;
import com.github.ansell.oas.objects.Ontology;
import com.github.ansell.oas.objects.impl.AnnotationImpl;
import com.github.ansell.oas.objects.impl.OntologyImpl;

/**
 * Implementation of AbstractDataHandlerTest that tests SesameDataHandlerImpl, also using
 * AnnotationImpl for the Annotation implementation and OntologyImpl for the Ontology
 * implementation.
 * 
 * @author Peter Ansell p_ansell@yahoo.com
 */
public class SesameDataHandlerImplTest extends AbstractDataHandlerTest
{
    @Override
    public Annotation getNewAnnotation()
    {
        return new AnnotationImpl();
    }
    
    @Override
    public DataHandler getNewDataHandler()
    {
        return new SesameDataHandlerImpl();
    }
    
    @Override
    public Ontology getNewOntology()
    {
        return new OntologyImpl();
    }
}
