/**
 * 
 */
package com.github.ansell.oas.webservice.impl.test;

import org.junit.Assert;
import org.junit.Test;
import org.restlet.representation.Representation;
import org.restlet.resource.ClientResource;

import com.github.ansell.oas.utils.OasProps;

/**
 * @author Peter Ansell p_ansell@yahoo.com
 * 
 */
public class IndexResourceImplTest extends AbstractResourceImplTest
{
    
    @Test
    public void testGetIndexBasicUnauthenticated() throws Exception
    {
        final ClientResource creationClientResource =
                new ClientResource(
                        this.getUrl(this.propertyUtil.get(OasProps.PROP_INDEX_PATH, OasProps.DEF_INDEX_PATH)));
        
        final Representation representation = creationClientResource.get();
        
        final String result = representation.getText();
        
        Assert.assertTrue(
                "Did not find index page message",
                result.contains("Provides ontology management and annotations services to researchers wishing to link to the Semantic Web"));
        this.assertFreemarker(result);
    }
}
